Subject: Re: [PATCH v3 00/10] t/unit-tests: convert unit-tests to use clar

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Jun 2025 11:41:34 -0700

Seyi Kuforiji <[email-masked]> writes:

> This small patch series marks the final batch of our existing unit test
> files transitioned to the Clar testing framework. It covers all the
> reftable-related test files, and is part of our ongoing effort to
> standardize our testing framework to enhance its maintainability.
>
> Changes in v3:
>  - some code refactoring based on review, which includes initial creation
>  of reftable helper functions to
>  t/unit-tests/lib-reftable-clar-test.{c,h} files in the initial commit

I guess this is no longer a "small patch series" ;-)

Are we done iterating, or will there be a small and final finishing
touch interation?

No need to rush, as we won't be merging things down to 'master'
until the 2.50 final gets tagged, but preparing a reasonably well
cooked topic in 'next' for the next cycle is always a good idea.

Thanks.